Gets a proof for a given light block header inside a state proof commitment | Algorand Developer Portal

Gets a proof for a given light block header inside a state proof commitment

GET

/v2/blocks/{round}/lightheader/proof

Authorizations

Parameters

Path Parameters

round
required
integer
A round number.

Responses

200

Proof of a light block header.

Select media typeapplication/json

Proof of membership and position of a light block header.

object

index
required
The index of the light block header in the vector commitment tree

integer

proof
required
The encoded proof.

string format: byte

/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

treedepth
required
Represents the depth of the tree that is being proven, i.e. the number of edges from a leaf to the root.

integer

401

Invalid API Token

Select media typeapplication/json

An error response with optional data field.

object

data
object

message
required
string

404

Could not create proof since some data is missing

Select media typeapplication/json

An error response with optional data field.

object

data
object

message
required
string

408

Timed out on request

Select media typeapplication/json

An error response with optional data field.

object

data
object

message
required
string

500

Internal Error

Select media typeapplication/json

An error response with optional data field.

object

data
object

message
required
string

503

Service Temporarily Unavailable

Select media typeapplication/json

An error response with optional data field.

object

data
object

message
required
string

default

Unknown Error